# CUpti_ActivityMarkerData Struct Reference
[CUPTI Activity API]

The activity record providing detailed information for a marker. More...

## Data Fields
uint32_t | category
uint32_t | color
CUpti_ActivityFlag | flags
uint32_t | id
CUpti_ActivityKind | kind
CUpti_MetricValue | payload
CUpti_MetricValueKind | payloadKind

## Detailed Description

The marker data contains color, payload, and category. (CUPTI_ACTIVITY_KIND_MARKER_DATA).

## Field Documentation

uint32_t CUpti_ActivityMarkerData::category

The category for the marker.

uint32_t CUpti_ActivityMarkerData::color

The color for the marker.

CUpti_ActivityFlag CUpti_ActivityMarkerData::flags

The flags associated with the marker.

See also:
  CUpti_ActivityFlag

uint32_t CUpti_ActivityMarkerData::id

The marker ID.

CUpti_ActivityKind CUpti_ActivityMarkerData::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_MARKER_DATA.

CUpti_MetricValue CUpti_ActivityMarkerData::payload

The payload value.

CUpti_MetricValueKind CUpti_ActivityMarkerData::payloadKind

Defines the payload format for the value associated with the marker.